%global packname  BSgenome
%global Rvers     3.0.0

Name:             R-%{packname}
Version:          1.32.0
Release:          1%{dist}
Summary:          Infrastructure for Biostrings-based genome data packages

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://bioconductor.org/packages/release/bioc/html/BSgenome.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires:         R-core >= %{Rvers} R-methods R-IRanges R-Biostrings 
Requires:         R-GenomicRanges R-Rsamtools R-bitops
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-Biostrings-devel
BuildRequires:    R-methods R-IRanges R-GenomicRanges R-Rsamtools R-bitops

%description
Infrastructure shared by all the Biostrings-based genome data packages

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

# architecture independant package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
# The dependencies asked are:
# 1- only 'suggests'
# 2- really big
# 3- contain only 'metadata' no code
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/NEWS
%{_datadir}/R/library/%{packname}/NAMESPACE 
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/R 
%{_datadir}/R/library/%{packname}/INDEX 
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/pkgtemplates

%changelog
* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 1.32.0-1
- Update to version 1.32.0
- Add R-Rsamtools and R-bitops as R and BR

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 1.30.0-1
- Update to version 1.30.0

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 1.28.0-1
- Update to version 1.28.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 1.26.1-1
- Update to version 1.26.1

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.22.0-1
- update to 1.22.0

* Sat Jul 02 2011 pingou <pingou@pingoured.fr> 1.20.0-1
- Update to version 1.20.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 1.18.3-1
- Update to version 1.18.3

* Mon Dec 20 2010 pingou <pingou@pingoured.fr> 1.18.2-1
- Update to version 1.18.2

* Tue Oct 26 2010 pingou <pingou@pingoured.fr> 1.18.0-1
- Update to version 1.18.0

* Sat Sep 11 2010 pingou <pingou@pingoured.fr> 1.16.5-2
- Add R-GenomicRanges in R and BR

* Sat Sep 11 2010 pingou <pingou@pingoured.fr> 1.16.5-1
- Update to version 1.16.5

* Sat Jun 05 2010 pingou <pingou@pingoured.fr> 1.16.1-1
- Update to version 1.16.1
- Update to R-2.11.0
- Remove post/postun
- Update R and BR to R-core and R-devel
- Change source0 and URL to a more stable form

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.14.2-1
- Update to 1.14.2
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 pingou <pingou@pingoured.fr> 1.12.3-1
- Update to 1.12.3

* Fri Jun 12 2009 pingou <pingou@pingoured.fr> 1.12.2-1
- Update to 1.12.2

* Wed May 20 2009 pingou <pingou@pingoured.fr> 1.12.0-2
- The NAMESPACE file is not a doc

* Mon May 18 2009 pingou <pingou@pingoured.fr> 1.12.0-1
- Update to 1.12.0 for Bioconductor 2.4 and R 2.9.0
- Remove the dependency on R-Biobase which is not needed

* Wed Apr 01 2009 pingou <pingou@pingoured.fr> 1.10.5-2
- Add R-Biostrings-devel as BR
- Define and use the macro BioC for the bioconductor release

* Fri Mar 13 2009 pingou <pingou -AT- pingoured.fr> 1.10.5-1
- initial package for Fedora
